Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454597

Summary: Seeing many coredump all the time with many .flv videos
Product: [Fedora] Fedora Reporter: Zdenek Kabelac <zkabelac>
Component: nspluginwrapperAssignee: Martin Stransky <stransky>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 10CC: caillon, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-25 13:41:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Zdenek Kabelac 2008-07-09 08:36:48 UTC
Description of problem:

nspluginwrapper seems to be generating to many coredump all the time - sometimes
the video has to be restarted many times to actually see it.


Here is coredump bactrace:

#0  IA__g_logv (log_domain=<value optimized out>, log_level=<value optimized
out>, format=<value optimized out>, args1=<value optimized out>)
    at gmessages.c:503
503		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
Missing separate debuginfos, use: debuginfo-install alsa-lib.i386 atk.i386
cairo.i386 expat.i386 fontconfig.i386 freetype.i386 gcc.i386 glibc.i686
libICE.i386 libSM.i386 libX11.i386 libXau.i386 libXcomposite.i386
libXcursor.i386 libXdmcp.i386 libXext.i386 libXfixes.i386 libXi.i386
libXrandr.i386 libXrender.i386 libXt.i386 libpng.i386 libselinux.i386
libxcb.i386 nspr.i386 pango.i386 pixman.i386 zlib.i386
(gdb) bt
#0  IA__g_logv (log_domain=<value optimized out>, log_level=<value optimized
out>, format=<value optimized out>, args1=<value optimized out>)
    at gmessages.c:503
#1  0x44908236 in IA__g_log (log_domain=Could not find the frame base for
"IA__g_log".
) at gmessages.c:517
#2  0x44ca2aa5 in gdk_x_error (display=Could not find the frame base for
"gdk_x_error".
) at gdkmain-x11.c:641
#3  0x44733a49 in _XError () from /usr/lib/libX11.so.6
#4  0x4473bac8 in ?? () from /usr/lib/libX11.so.6
#5  0x4473c435 in _XEventsQueued () from /usr/lib/libX11.so.6
#6  0x44724428 in XPending () from /usr/lib/libX11.so.6
#7  0x44c9085c in gdk_check_xpending (display=Could not find the frame base for
"gdk_check_xpending".
) at gdkevents-x11.c:154
#8  0x44c94dc9 in gdk_event_prepare (source=Could not find the frame base for
"gdk_event_prepare".
) at gdkevents-x11.c:2322
#9  0x44901114 in IA__g_main_context_prepare (context=<value optimized out>,
priority=<value optimized out>) at gmain.c:2388
#10 0x4490159a in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=Could not find
the frame base for "g_main_context_iterate".
) at gmain.c:2681
#11 0x44901dd2 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2924
#12 0x44f900e5 in IA__gtk_main () at gtkmain.c:1172
#13 0x080507f1 in do_main (argv=0xffd2e6b4, argc=1) at ../src/npw-viewer.c:3216
#14 main (argc=1, argv=0xffd2e6b4) at ../src/npw-viewer.c:3371


My assumption is that 'g_log_depth'  actually points to the already deallocated
memory (and the whole construct around the g_log_depth actully looks kind of
weird - why is this variable runtime allocated, and how that is supposed to work
with threads?) 

Anyway - it would be worth to check the order of allocation/deallocation and the
usage of logging.



Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-27.fc9.i386

How reproducible:


Steps to Reproduce:
1. try to play youtube videos with 64bit firefox
2. wait for coredumps...
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Zdenek Kabelac 2008-07-09 08:38:43 UTC
hmm - grabbed bactrace from the buffer without X11 symbols - here is slightly
better one:

#0  IA__g_logv (log_domain=<value optimized out>, log_level=<value optimized
out>, format=<value optimized out>, args1=<value optimized out>)
    at gmessages.c:503
503		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
Missing separate debuginfos, use: debuginfo-install alsa-lib.i386 atk.i386
cairo.i386 expat.i386 fontconfig.i386 freetype.i386 gcc.i386 glibc.i686
libICE.i386 libSM.i386 libXau.i386 libXcomposite.i386 libXcursor.i386
libXdmcp.i386 libXext.i386 libXfixes.i386 libXi.i386 libXrandr.i386
libXrender.i386 libXt.i386 libpng.i386 libselinux.i386 libxcb.i386 nspr.i386
pango.i386 pixman.i386 zlib.i386
(gdb) bt
#0  IA__g_logv (log_domain=<value optimized out>, log_level=<value optimized
out>, format=<value optimized out>, args1=<value optimized out>)
    at gmessages.c:503
#1  0x44908236 in IA__g_log (log_domain=Could not find the frame base for
"IA__g_log".
) at gmessages.c:517
#2  0x44ca2aa5 in gdk_x_error (display=Could not find the frame base for
"gdk_x_error".
) at gdkmain-x11.c:641
#3  0x44733a49 in _XError (dpy=<value optimized out>, rep=<value optimized out>)
at XlibInt.c:2905
#4  0x4473bac8 in process_responses (dpy=<value optimized out>,
wait_for_first_event=<value optimized out>, current_error=<value optimized out>, 
    current_request=<value optimized out>) at xcb_io.c:138
#5  0x4473c435 in _XEventsQueued (dpy=<value optimized out>, mode=<value
optimized out>) at xcb_io.c:197
#6  0x44724428 in XPending (dpy=<value optimized out>) at Pending.c:56
#7  0x44c9085c in gdk_check_xpending (display=Could not find the frame base for
"gdk_check_xpending".
) at gdkevents-x11.c:154
#8  0x44c94dc9 in gdk_event_prepare (source=Could not find the frame base for
"gdk_event_prepare".
) at gdkevents-x11.c:2322
#9  0x44901114 in IA__g_main_context_prepare (context=<value optimized out>,
priority=<value optimized out>) at gmain.c:2388
#10 0x4490159a in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=Could not find
the frame base for "g_main_context_iterate".
) at gmain.c:2681
#11 0x44901dd2 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2924
#12 0x44f900e5 in IA__gtk_main () at gtkmain.c:1172
#13 0x080507f1 in do_main (argv=0xffd2e6b4, argc=1) at ../src/npw-viewer.c:3216
#14 main (argc=1, argv=0xffd2e6b4) at ../src/npw-viewer.c:3371


Comment 2 Bug Zapper 2008-11-26 02:31:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping